separate(adagate)


procedure handle_mouse_click( nowTime : gldouble ) is

	msr,msl: glint;
	dt : gldouble := nowTime - shtime;

begin

	if dt>shootdwell and level<5 then

		msr := glfwGetMouseButton(mainWindow, glfw_mouse_button_2); -- ?3?
		msl := glfwGetMouseButton(mainWindow, glfw_mouse_button_1);
		-- msl,msr: glint;

		if onIsland then

			if msl=glfw_press then
				pickLeft;
			end if;

		else
			if msl=glfw_press then
				shootLeft(nowtime);
				shtime:=nowtime;
			elsif msr=glfw_press then
				shootRight(nowtime);
				shtime:=nowtime;
			end if;
		end if;

	end if;

end handle_mouse_click;


